#ifndef ASSURE_HPP
#define ASSURE_HPP 1

#include "boost/filesystem/fstream.hpp"
#include <string>
#include <iostream>

inline void
assure(boost::filesystem::ifstream& in, const char* filename = "") {
  using namespace std;
  if(!in) {
    cerr << "Could not open file " << filename << endl;
    exit(1);
  }
}

inline void
assure(boost::filesystem::ifstream& in, const std::string filename = "") {
  using namespace std;
  if(!in) {
    cerr << "Could not open file " << filename.c_str() << endl;
    exit(1);
  }
}

inline void
assure(boost::filesystem::ofstream& in, const char* filename = "") {
  using namespace std;
  if(!in) {
    cerr << "Could not open file " << filename << endl;
    exit(1);
  }
}

inline void
assure(boost::filesystem::ofstream& in, const std::string filename = "") {
  using namespace std;
  if(!in) {
    cerr << "Could not open file " << filename.c_str() << endl;
    exit(1);
  }
}

#endif /* !ASSURE_HPP */

